# Uses of Class
org.apache.velocity.runtime.parser.node.SimpleNode

Packages that use SimpleNode
Package
Description
org.apache.velocity.runtime
org.apache.velocity.runtime.directive
org.apache.velocity.runtime.parser
org.apache.velocity.runtime.parser.node
org.apache.velocity.runtime.visitor
org.apache.velocity.util

## Uses of SimpleNode in org.apache.velocity.runtime

Methods in org.apache.velocity.runtime that return SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
RuntimeInstance.`parse(Reader reader, Template template)`
Parse the input and return the root of AST node structure.
`SimpleNode`
RuntimeServices.`parse(Reader reader, Template template)`
Parse the input and return the root of AST node structure.
`static SimpleNode`
RuntimeSingleton.`parse(Reader reader, Template template)`
Parse the input and return the root of AST node structure.
Methods in org.apache.velocity.runtime with parameters of type SimpleNode
Modifier and Type
Method
Description
`boolean`
RuntimeInstance.`render(Context context, Writer writer, String logTag, SimpleNode nodeTree)`
Initializes and renders the AST `SimpleNode` using the context into the output writer.

## Uses of SimpleNode in org.apache.velocity.runtime.directive

Methods in org.apache.velocity.runtime.directive with parameters of type SimpleNode
Modifier and Type
Method
Description
`void`
VelocimacroProxy.`setNodeTree(SimpleNode tree)`

## Uses of SimpleNode in org.apache.velocity.runtime.parser

Methods in org.apache.velocity.runtime.parser that return SimpleNode
Modifier and Type
Method
Description
`SimpleNode`
Parser.`parse(Reader reader, Template template)`
`SimpleNode`
StandardParser.`parse(Reader reader, Template t)`
This was also added to allow parsers to be re-usable.
`final SimpleNode`
StandardParser.`process()`
This method is what starts the whole parsing process.
Methods in org.apache.velocity.runtime.parser with parameters of type SimpleNode
Modifier and Type
Method
Description
`void`
LogContext.`pushLogContext(SimpleNode src, Info info)`

## Uses of SimpleNode in org.apache.velocity.runtime.parser.node

Subclasses of SimpleNode in org.apache.velocity.runtime.parser.node
Modifier and Type
Class
Description
`class`
`ASTAddNode`
Handles number addition of nodes.
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTAndNode`
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTAssignment`
`class`
`ASTBinaryOperator`
`class`
`ASTBlock`
`class`
`ASTComment`
Represents all comments...
`class`
`ASTComparisonNode`
Numeric comparison support
`class`
`ASTDirective`
This class is responsible for handling the pluggable directives in VTL.
`class`
`ASTDirectiveAssign`
`class`
`ASTDivNode`
Handles number division of nodes
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTElseIfStatement`
This class is responsible for handling the ElseIf VTL control statement.
`class`
`ASTElseStatement`
This class is responsible for handling the Else VTL control statement.
`class`
`ASTEQNode`
Handles `arg1 == arg2` This operator requires that the LHS and RHS are both of the same Class, both numbers or both coerce-able to strings.
`class`
`ASTEscape`
This class is responsible for handling Escapes in VTL.
`class`
`ASTEscapedDirective`
This class is responsible for handling EscapedDirectives in VTL.
`class`
`ASTExpression`
`class`
`ASTFalse`
`class`
`ASTFloatingPointLiteral`
Handles floating point numbers.
`class`
`ASTGENode`
Handles arg1 >= arg2
`class`
`ASTGTNode`
Handles arg1 > arg2
`class`
`ASTIdentifier`
ASTIdentifier.java Method support for identifiers : $foo mainly used by ASTReference Introspection is now moved to 'just in time' or at render / execution time.
`class`
`ASTIfStatement`
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTIncludeStatement`
`class`
`ASTIndex`
This node is responsible for the bracket notation at the end of a reference, e.g., $foo[1]
`class`
`ASTIntegerLiteral`
Handles integer numbers.
`class`
`ASTIntegerRange`
handles the range 'operator' [ n ..
`class`
`ASTLENode`
Handles arg1 <= arg2
`class`
`ASTLogicalOperator`
`class`
`ASTLTNode`
Handles arg1 < arg2
`class`
`ASTMap`
AST Node for creating a map / dictionary.
`class`
`ASTMathNode`
Helps handle math
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTMethod`
ASTMethod.java Method support for references : $foo.method() NOTE : introspection is now done at render time.
`class`
`ASTModNode`
Handles modulus division
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTMulNode`
Handles multiplication
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTNegateNode`
`class`
`ASTNENode`
Handles `arg1 != arg2` by negating evaluation of ASTEQNode
`class`
`ASTNotNode`
`class`
`ASTObjectArray`
`class`
`ASTOrNode`
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTParameters`
`class`
`ASTprocess`
`class`
`ASTReference`
This class is responsible for handling the references in VTL ($foo).
`class`
`ASTSetDirective`
Node for the #set directive
`class`
`ASTStringLiteral`
ASTStringLiteral support.
`class`
`ASTSubtractNode`
Handles subtraction of nodes (in #set() )
Please look at the Parser.jjt file which is what controls the generation of this class.
`class`
`ASTText`
`class`
`ASTTextblock`
This node holds the "Textblock" data which should not be interpreted by Velocity.
`class`
`ASTTrue`
`class`
`ASTVariable`
`class`
`ASTWord`
Methods in org.apache.velocity.runtime.parser.node with parameters of type SimpleNode
Modifier and Type
Method
Description
`static Object`
ASTIndex.`adjMinusIndexArg(Object argument, Object o, InternalContextAdapter context, SimpleNode node)`
If argument is an Integer and negative, then return (o.size() - argument).
`Object`
StandardParserDefaultVisitor.`defaultVisit(SimpleNode node, Object data)`
`static void`
NodeUtils.`fixIndentation(SimpleNode parent, String parentIndentation)`
Fix children indentation in structured space gobbling mode.
`Object`
IndentationFixer.`visit(SimpleNode node, Object data)`
`Object`
StandardParserDefaultVisitor.`visit(SimpleNode node, Object data)`
`Object`
StandardParserVisitor.`visit(SimpleNode node, Object data)`

## Uses of SimpleNode in org.apache.velocity.runtime.visitor

Methods in org.apache.velocity.runtime.visitor with parameters of type SimpleNode
Modifier and Type
Method
Description
`Object`
BaseVisitor.`visit(SimpleNode node, Object data)`
`Object`
NodeViewMode.`visit(SimpleNode node, Object data)`

## Uses of SimpleNode in org.apache.velocity.util

Methods in org.apache.velocity.util with parameters of type SimpleNode
Modifier and Type
Method
Description
`static VelMethod`
ClassUtils.`getMethod(String methodName, Object[] params, Class<?>[] paramClasses, Object o, InternalContextAdapter context, SimpleNode node, boolean strictRef)`
Lookup a VelMethod object given the method signature that is specified in the passed in parameters.